---
title: EyeTrackVR
weight: 250
---

# EyeTrackVR

DIY eye tracking for any headset. Here are the steps to get the software working on linux.

## Prerequisites

- tkinter `pacman -S tk`
- Python 3.11 available through the [AUR](https://aur.archlinux.org/packages/python311), build yourself! Otherwise tk will not work!
  - Build after installing tkinter, otherwise it will not be included
- [poetry](https://python-poetry.org/docs/#installing-with-the-official-installer)

## EyeTrackApp

```bash
git clone https://github.com/EyeTrackVR/EyeTrackVR.git
cd EyeTrackVR
poetry install --no-root
cd EyeTrackApp
poetry run pyinstaller eyetrackapp.spec
```

and bada bing bada boom you now should now have a fully functional eyetrack app in directory `dist`


## VRChat Native Eyetracking

VRCFT support will be added soon in oscavmgr. for now vrc native eyetracking works well. If you're having issues with your avatar cocnstantly squinting like I was, you can make a little change to osc.py at line 239 to correct that to your liking.

```diff
     if self.config.gui_vrc_native:  # VRC NATIVE

+        eye_blink = min(1.0, eye_blink * eyeblink_offset) # helps keep eyes open in VRC native eyetracking

         if self.main_config.eye_display_id in [
             EyeId.RIGHT,
```
This should only affect native eyetracking. replace `eyeblink_offset` with your preferred multiplier. I set mine to `1.8`

Squinting issues may also be caused by using IBO, so you may want to turn off "Intensity Based Openness" in blink algo settings.